Errno - Crystal 1.11.2

# enum Errno

##
Overview

Errno wraps and gives access to libc's errno. This is mostly useful when dealing with C libraries.

##
Defined in:

errno.cr

##
Enum Members

NONE = `0`
E2BIG = `7`
EPERM = `1`
ENOENT = `2`
ESRCH = `3`
EINTR = `4`
EIO = `5`
ENXIO = `6`
ENOEXEC = `8`
EBADF = `9`
ECHILD = `10`
EDEADLK = `35`
ENOMEM = `12`
EACCES = `13`
EFAULT = `14`
EBUSY = `16`
EEXIST = `17`
EXDEV = `18`
ENODEV = `19`
ENOTDIR = `20`
EISDIR = `21`
EINVAL = `22`
ENFILE = `23`
EMFILE = `24`
ENOTTY = `25`
ETXTBSY = `26`
EFBIG = `27`
ENOSPC = `28`
ESPIPE = `29`
EROFS = `30`
EMLINK = `31`
EPIPE = `32`
EDOM = `33`
ERANGE = `34`
EAGAIN = `11`
EWOULDBLOCK = `11`
EINPROGRESS = `115`
EALREADY = `114`
ENOTSOCK = `88`
EDESTADDRREQ = `89`
EMSGSIZE = `90`
EPROTOTYPE = `91`
ENOPROTOOPT = `92`
EPROTONOSUPPORT = `93`
EAFNOSUPPORT = `97`
EADDRINUSE = `98`
EADDRNOTAVAIL = `99`
ENETDOWN = `100`
ENETUNREACH = `101`
ENETRESET = `102`
ECONNABORTED = `103`
ECONNRESET = `104`
ENOBUFS = `105`
EISCONN = `106`
ENOTCONN = `107`
ETIMEDOUT = `110`
ECONNREFUSED = `111`
ELOOP = `40`
ENAMETOOLONG = `36`
EHOSTUNREACH = `113`
ENOTEMPTY = `39`
EDQUOT = `122`
ESTALE = `116`
ENOLCK = `37`
ENOSYS = `38`
EOVERFLOW = `75`
ECANCELED = `125`
EIDRM = `43`
ENOMSG = `42`
EILSEQ = `84`
EBADMSG = `74`
EMULTIHOP = `72`
ENODATA = `61`
ENOLINK = `67`
ENOSR = `63`
ENOSTR = `60`
EPROTO = `71`
ETIME = `62`
EOPNOTSUPP = `95`
ENOTRECOVERABLE = `131`
EOWNERDEAD = `130`

##
Constructors

- .value : self

  Returns the value of libc's errno.

##
Class Method Summary

- .value=(errno : Errno)

  Sets the value of libc's errno.

##
Instance Method Summary

- #e2_big?
- #eacces?
- #eaddrinuse?
- #eaddrnotavail?
- #eafnosupport?
- #eagain?
- #ealready?
- #ebadf?
- #ebadmsg?
- #ebusy?
- #ecanceled?
- #echild?
- #econnaborted?
- #econnrefused?
- #econnreset?
- #edeadlk?
- #edestaddrreq?
- #edom?
- #edquot?
- #eexist?
- #efault?
- #efbig?
- #ehostunreach?
- #eidrm?
- #eilseq?
- #einprogress?
- #eintr?
- #einval?
- #eio?
- #eisconn?
- #eisdir?
- #eloop?
- #emfile?
- #emlink?
- #emsgsize?
- #emultihop?
- #enametoolong?
- #enetdown?
- #enetreset?
- #enetunreach?
- #enfile?
- #enobufs?
- #enodata?
- #enodev?
- #enoent?
- #enoexec?
- #enolck?
- #enolink?
- #enomem?
- #enomsg?
- #enoprotoopt?
- #enospc?
- #enosr?
- #enostr?
- #enosys?
- #enotconn?
- #enotdir?
- #enotempty?
- #enotrecoverable?
- #enotsock?
- #enotty?
- #enxio?
- #eopnotsupp?
- #eoverflow?
- #eownerdead?
- #eperm?
- #epipe?
- #eproto?
- #eprotonosupport?
- #eprototype?
- #erange?
- #erofs?
- #espipe?
- #esrch?
- #estale?
- #etime?
- #etimedout?
- #etxtbsy?
- #ewouldblock?
- #exdev?
- #message : String

  Convert an Errno to an error message

- #none?

### Instance methods inherited from struct `Enum`

&(other : self) : self &, +(other : Int) : self +, -(other : Int) : self -, <=>(other : self) <=>, ==(other : self)
==(other) ==, ^(other : self) : self ^, |(other : self) : self |, ~ : self ~, clone clone, each(& : self -> ) each, hash(hasher) hash, includes?(other : self) : Bool includes?, inspect(io : IO) : Nil inspect, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i128 : Int128 to_i128, to_i128! : Int128 to_i128!, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u128 : UInt128 to_u128, to_u128! : UInt128 to_u128!, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, value : Int value

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(value : self)
new(pull : JSON::PullParser) new, parse(string : String) : self parse

### Class methods inherited from struct `Enum`

each(& : self -> ) each, from_value?(value : Int) : self | Nil from_value?, names : Array(String) names, parse?(string : String) : self | Nil parse?, valid?(value : self) : Bool valid?, values : Array(self) values

### Macros inherited from struct `Enum`

[](*values) [], flags(*values) flags

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) : Bool <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) : Bool >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Constructor Detail

def self.value : self #

Returns the value of libc's errno.

##
Class Method Detail

def self.value=(errno : Errno) #

Sets the value of libc's errno.

##
Instance Method Detail

def e2_big? #
def eacces? #
def eaddrinuse? #
def eaddrnotavail? #
def eafnosupport? #
def eagain? #
def ealready? #
def ebadf? #
def ebadmsg? #
def ebusy? #
def ecanceled? #
def echild? #
def econnaborted? #
def econnrefused? #
def econnreset? #
def edeadlk? #
def edestaddrreq? #
def edom? #
def edquot? #
def eexist? #
def efault? #
def efbig? #
def ehostunreach? #
def eidrm? #
def eilseq? #
def einprogress? #
def eintr? #
def einval? #
def eio? #
def eisconn? #
def eisdir? #
def eloop? #
def emfile? #
def emlink? #
def emsgsize? #
def emultihop? #
def enametoolong? #
def enetdown? #
def enetreset? #
def enetunreach? #
def enfile? #
def enobufs? #
def enodata? #
def enodev? #
def enoent? #
def enoexec? #
def enolck? #
def enolink? #
def enomem? #
def enomsg? #
def enoprotoopt? #
def enospc? #
def enosr? #
def enostr? #
def enosys? #
def enotconn? #
def enotdir? #
def enotempty? #
def enotrecoverable? #
def enotsock? #
def enotty? #
def enxio? #
def eopnotsupp? #
def eoverflow? #
def eownerdead? #
def eperm? #
def epipe? #
def eproto? #
def eprotonosupport? #
def eprototype? #
def erange? #
def erofs? #
def espipe? #
def esrch? #
def estale? #
def etime? #
def etimedout? #
def etxtbsy? #
def ewouldblock? #
def exdev? #
def message : String #

Convert an Errno to an error message

def none? #